CVE-2015-4147

Priority
Description
The SoapClient::__call method in ext/soap/soap.c in PHP before 5.4.39,
5.5.x before 5.5.23, and 5.6.x before 5.6.7 does not verify that
__default_headers is an array, which allows remote attackers to execute
arbitrary code by providing crafted serialized data with an unexpected data
type, related to a "type confusion" issue.
Notes
 mdeslaur> regression fixed in 5.4.40,5.5.24,5.6.8
Assigned-to
mdeslaur
More Information

Updated: 2019-03-19 12:19:13 UTC (commit 15472795df7e9de45b82f2d36b8b419b939f97b2)